unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, ExtCtrls, Buttons, StdCtrls, CustSaveIt, ComCtrls,
  AlmostSave, GenericSave, MultiSaveIt;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    N1: TMenuItem;
    SaveAs1: TMenuItem;
    Save1: TMenuItem;
    Open1: TMenuItem;
    New1: TMenuItem;
    Panel1: TPanel;
    NewButton: TSpeedButton;
    OpenButton: TSpeedButton;
    SaveButton: TSpeedButton;
    SaveAsButton: TSpeedButton;
    Memo1: TMemo;
    N3: TMenuItem;
    MultiSaveIt1: TMultiSaveIt;
    MultiSaveItType1: TMultiSaveItType;
    GroupBox1: TGroupBox;
    Panel2: TPanel;
    PageControl1: TPageControl;
    TabSheet4: TTabSheet;
    Memo4: TMemo;
    TabSheet2: TTabSheet;
    Memo2: TMemo;
    TabSheet5: TTabSheet;
    Memo5: TMemo;
    procedure Exit1Click(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure SaveAs1Click(Sender: TObject);
    procedure Save1Click(Sender: TObject);
    procedure New1Click(Sender: TObject);
    procedure MultiSaveItType1DataSave(Sender: TObject; FileName: String;
      var Success: Boolean);
    procedure MultiSaveItType1DataLoad(Sender: TObject; FileName: String;
      var Success: Boolean);
    procedure Memo1Change(Sender: TObject);
    procedure MultiSaveItType1FileNew(Sender: TObject; var Success: Boolean);
    procedure MultiSaveItType1DataCheck(Sender: TObject; var Has_Data: Boolean);
    procedure FormCreate(Sender: TObject);
    procedure MultiSaveIt1AllowSave(Sender: TObject; Allowed: Boolean);
    procedure MultiSaveIt1AllowSaveAs(Sender: TObject; Allowed: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

// *** Begin Ignorable Code ***

procedure TForm1.Exit1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Application.Title := Caption; // Set Application Title to Form's Caption
end;

// *** End Ignorable Code ***

// *** Begin Important Code ***

procedure TForm1.Open1Click(Sender: TObject);
begin
  MultiSaveIt1.Open;
end;

procedure TForm1.SaveAs1Click(Sender: TObject);
begin
  MultiSaveIt1.SaveAs;
end;

procedure TForm1.Save1Click(Sender: TObject);
begin
  MultiSaveIt1.Save;
end;

procedure TForm1.New1Click(Sender: TObject);
begin
  MultiSaveIt1.NewDefault;
end;

procedure TForm1.MultiSaveItType1DataSave(Sender: TObject; FileName: String;
  var Success: Boolean);
begin
  Memo1.Lines.SaveToFile(FileName);
end;

procedure TForm1.MultiSaveItType1DataLoad(Sender: TObject; FileName: String;
  var Success: Boolean);
begin
  Memo1.Lines.LoadFromFile(FileName);
end;

procedure TForm1.Memo1Change(Sender: TObject);
begin
  MultiSaveItType1.Modified;
end;

procedure TForm1.MultiSaveItType1FileNew(Sender: TObject; var Success: Boolean);
begin
  Memo1.Lines.Clear;
end;

procedure TForm1.MultiSaveItType1DataCheck(Sender: TObject; var Has_Data: Boolean);
begin
  Has_Data := Length(Trim(Memo1.Text)) > 0;
end;

procedure TForm1.MultiSaveIt1AllowSave(Sender: TObject; Allowed: Boolean);
begin
  Save1.Enabled := Allowed;
  SaveButton.Enabled := Allowed;
end;

procedure TForm1.MultiSaveIt1AllowSaveAs(Sender: TObject; Allowed: Boolean);
begin
  SaveAs1.Enabled := Allowed;
  SaveAsButton.Enabled := Allowed;
end;

// *** End Important Code ***

end.
